zabbix3.4使用qq邮箱发送告警邮件时关于libcurl问题总结

1.这里只简单说下使用配置qq邮箱做邮件服务器发送告警邮件:

   zabbix web端配置报警媒介:

   管理——报警媒介类型——创建媒体类型

   

  使用的qq邮箱需要在邮箱里面设置,开启smtp并生成授权码:(QQ邮箱——设置——账户——IMAP/SMTP服务)

  之后便是配置用户的报警媒介及动作等

2.当以上配置完成后,zabbix触发报警,发送邮件失败时,查看 报表——动作日志,出现以下错误

   

 这是由于curl版本过低造成的,官网上有说明,需要curl版本大于7.20

 我们可以通过curl -V查看其版本

 如果版本确实过低,则注意不要yum直接升级curl包,有可能造成yum不可用

 同时对于某些系统版本过低的环境,curl不建议升级太高,可能同样引发错误,建议curl版本7.29

 如果yum升级curl包后造成yum不可用,则需重新编译下载curl,并且进入python   >import yum查看报错

 发现python导入yum时会调用libcurl.so.4,根据报错信息重新生成软连接

  ln   -s   /usr/local/curl/lib/libcurl.so.4.1.1   libcurl.so.4 

3.编译安装curl7.29

  wget https://curl.haxx.se/download/curl-7.29.0.tar.gz

  tar xzvf curl-7.29.0.tar.gz

  cd curl-7.29.0

  ./configure --prefix=/usr/local/curl --with-ssl

  make && make install

4.重新编译安装zabbix

 /configure --prefix=/usr/local/zabbix/ --enable-server --enable-agent --with-mysql --with-net-snmp

  --with-libcurl=/usr/local/curl/bin/curl-config --with-libxml2 make && make install

(可根据官网上命令进行,只需替换相对应的路径就行)

 此时邮件可以发送成功

猜你喜欢

转载自blog.csdn.net/qq_37534835/article/details/81666208

相关文章